#include<stdio.h>
#include<stdlib.h>
#define MAX 100
void ispis(int a[][MAX],int n,int m)
{ int i,j;
 for(i=0;i<n;i++)
 {
   for(j=0;j<m;j++)
    printf("%d",a[i][j]);
    printf("\n");
 }
}
void unos(int a[][MAX],int* n,int *m)
{
 int i,j;
 //printf("Unesi br vrsta i broj kolona\n");
  scanf("%d%d",n,m);
 for(i=0;i<*n;i++)
   for(j=0;j<*m;j++)
     scanf("%d",&a[i][j]);
}
int main()
{ 
 int i,j,m,n,p,k,S=0;
 int a[MAX][MAX];
 unos(a,&n,&m);
 scanf("%d%d",&p,&k);
 if(p>m || k>n)
 {
   printf("-1");
   exit(EXIT_FAILURE);
 }
 for(i=0;i<n;i++)
 { 
   for(j=0;j<m;j++)
   for(i=0;i<p;i++)
     for(j=0;j<k;j++)
    {
     S=S+a[i][j]; 
    printf("%d ",S);
      
    }
     
   }
   
  
  return 0;
}
